package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisMajHiddSupMapper;
import com.goldenwater.slaj.hidd.domain.BisMajHiddSup;
import com.goldenwater.slaj.hidd.service.IBisMajHiddSupService;

/**
 * 隐患督办 服务层实现
 */
@Service
public class BisMajHiddSupServiceImpl implements IBisMajHiddSupService {

    @Autowired
    private BisMajHiddSupMapper bisMajHiddSupMapper;

    /**
     * 查询隐患督办信息
     * @param guid 查询条件
     * @return 隐患督办信息
     */
    @Override
    public BisMajHiddSup selectBisMajHiddSupByGuid(String guid) {
        return bisMajHiddSupMapper.selectBisMajHiddSupByGuid(guid);
    }

    /**
     * 查询隐患督办列表
     * @param bisMajHiddSup 隐患督办查询条件
     * @return 隐患督办集合
     */
    @Override
    public List<BisMajHiddSup> selectBisMajHiddSupList(BisMajHiddSup bisMajHiddSup) {
        return bisMajHiddSupMapper.selectBisMajHiddSupList(bisMajHiddSup);
    }

    /**
     * 新增隐患督办
     * @param bisMajHiddSup 隐患督办信息
     * @return 影响行数
     */
    @Override
    public int insertBisMajHiddSup(BisMajHiddSup bisMajHiddSup) {
        return bisMajHiddSupMapper.insertBisMajHiddSup(bisMajHiddSup);
    }

    /**
     * 修改隐患督办
     * @param bisMajHiddSup 隐患督办信息
     * @return 影响行数
     */
    @Override
    public int updateBisMajHiddSup(BisMajHiddSup bisMajHiddSup) {
        return bisMajHiddSupMapper.updateBisMajHiddSup(bisMajHiddSup);
    }

    /**
     * 删除隐患督办
     * @param guid 隐患督办主键
     * @return 影响行数
     */
    @Override
    public int deleteBisMajHiddSupByGuid(String guid) {
        return bisMajHiddSupMapper.deleteBisMajHiddSupByGuid(guid);
    }

    /**
     * 批量删除隐患督办
     * @param guids 隐患督办主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisMajHiddSupByGuids(String[] guids) {
        return bisMajHiddSupMapper.deleteBisMajHiddSupByGuids(guids);
    }
}
